using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MarketData.Generator.CMTrend
{
  public class CMTGeneratorResult
  {
    public CMTGeneratorResult()
    {
      Success=false;
      CMTCandidates=new CMTCandidates();
      CMTCandidatesWithViolation=new CMTCandidates();
      Messages=new List<String>();
    }
    public CMTCandidates CMTCandidates { get; set; }
    public CMTCandidates CMTCandidatesWithViolation { get; set; }
    public bool Success { get; set; }
    public List<String> Messages { get; set; }
    public String LastMessage { get { if(null==Messages||0==Messages.Count) return ""; else return Messages[0]; } }
  }
}